# $Revision: 1.4.2.6 $, $Date: 2004/06/14 23:43:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Linux
%define	pnam	Pid
Summary:	Linux::Pid - get the native PID and the PPID on Linux
Summary(pl):	Linux::Pid - uzyskiwanie natywnych PID i PPID pod Linuksem
Name:		perl-Linux-Pid
Version:	0.02
Release:	3.1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af1d6dee6ee94cc8c1847172501b468e
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Inline-C
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux::Pid gets the native PID and the PPID on Linux. It's useful with
multithreaded programs. Linux's C library returns different values of
the PID and the PPID from different threads. This module forces Perl
to call the underlying C functions getpid() and getppid().

%description -l pl
Linux::Pid odczytuje natywne PID i PPID pod Linuksem. Jest przydatny w
programach wielowtkowych. Linuksowa biblioteka C zwraca rne
wartoci PID i PPID dla rnych wtkw. Ten modu zmusza Perla do
wywoania funkcji C getpid() i getppid().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitearch}/%{pdir}/*.pm
%dir %{perl_sitearch}/auto/%{pdir}/%{pnam}
%attr(755,root,root) %{perl_sitearch}/auto/%{pdir}/%{pnam}/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Linux-Pid.spec,v $
Revision 1.4.2.6  2004/06/14 23:43:52  ankry
- md5

Revision 1.4.2.5  2004/06/14 23:34:48  ankry
- rel. +0.1
- it is not noarch!

Revision 1.4.2.4  2003/09/09 11:12:26  ankry
- spaces -> tabs

Revision 1.4.2.3  2003/07/11 12:02:59  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.4.2.2  2003/04/28 12:51:51  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:57:52  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:27  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/09 13:46:22  qboosh
- pl description, release 2

Revision 1.1  2002/09/26 11:22:00  radek
- new, STBR
